import { IConfig } from "../interface";
import { MPServer } from "./server";
import { TemplateMessage } from "./template-message";
import { CustomerService } from "./customer-service";
import { User } from "./user";
import { MPOAuth } from "./oauth";
import { Jssdk } from "./jssdk";
import { Base } from "../base";
export declare class OfficialAccount extends Base {
    server: MPServer;
    templateMessage: TemplateMessage;
    customerService: CustomerService;
    user: User;
    oauth: MPOAuth;
    jssdk: Jssdk;
    constructor(config: IConfig);
}
