import { MiniProgram } from "..";
import { ISendParams } from "./interface";
/**
 * 统一服务消息
 * https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/uniform-message/uniformMessage.send.html
 */
export declare class UniformMessage {
    private mini;
    constructor(mini: MiniProgram);
    /**
     * 下发小程序和公众号统一的服务消息
     * https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/uniform-message/uniformMessage.send.html
     */
    send(body: ISendParams): Promise<import("../../interface").IError>;
}
