import { OfficialAccount } from "../";
import { IRouters } from "./interface";
/**
 * 返回 Connect 中间件
 */
export declare class MPServer {
    private oa;
    constructor(oa: OfficialAccount);
    /**
     * 回显
     * https://mp.weixin.qq.com/wiki?t=resource/res_main&id=mp1472017492_58YV5
     */
    echo(): (req: any, res: any) => void;
    /**
     * 监听微信消息
     */
    listen(routers: IRouters): (req: any, res: any) => Promise<void>;
}
