import { OfficialAccount } from "../";
import { IMPTemplateList, ISendTemplateOpts } from "./interface";
/**
 * 模板消息接口
 * https://mp.weixin.qq.com/wiki?t=resource/res_main&id=mp1433751277
 */
export declare class TemplateMessage {
    private oa;
    constructor(oa: OfficialAccount);
    /**
     * 获取模板列表
     */
    getPrivateTemplates(): Promise<IMPTemplateList>;
    /**
     * 发送模板消息
     */
    send(opts: ISendTemplateOpts): Promise<string>;
}
